---     
tags: 
  - Discounts
description: Returns a list of discounts.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
        'count': 2, 
        'discounts': [
          {
            'code': '1', 
            'created_at': 'Fri, 02 Aug 2024 14:14:52 GMT', 
            'created_by': {
              'id': 18879, 
              'user_name': 
              'Test User'
            }, 
            'expires_at': None, 
            'id': 101, 
            'max_uses': 1, 
            'orders': [], 
            'orders_used': [], 
            'string_value': '£23', 
            'user': None, 
            'valid': True
          }, 
          {
            'code': '2', 
            'created_at': 'Fri, 02 Aug 2024 14:14:52 GMT', 
            'created_by': {
              'id': 18879, 
              'user_name': 'Test User'
            }, 
            'expires_at': None, 
            'id': 102, 
            'max_uses': 2, 
            'orders': [], 
            'orders_used': [], 
            'string_value': '£23', 
            'user': None, 
            'valid': True
          }
        ]
      }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'

